flow123d_version: 2.0.0
problem: !Coupling_Sequential
  description: Test10 - Unsteady flow in 2D, Lumped Mixed Hybrid
  mesh:
    mesh_file: ../00_mesh/line_z_0.25_250el.msh
  flow_equation: !Flow_Richards_LMH
    output_specific:
    soil_model: irmay
    time: # time in hours (consistent with conductivity)
        end_time: 3000     # original experiment from UGN up to time 6000 h
        init_dt: 1
        # current time step enlargement logic do not allow to extent time step up to the output timestep
        # maximum timestep wil be just 50.
        max_dt: 300        
        min_dt: 0.1

    input_fields:
      - region: plane
        # pressure -65 MPa; for g and density see conductivity below
        init_pressure: -6619    
        

        # Bentonit
        #storativity: 5.846e-5
        water_content_saturated: 0.42
        water_content_residual: 0.04
        
        # permeability 5e-21 m^2; g 9.82 kg m s^{-2}; water density 988; viscosity 0.001 Pa.s
        conductivity: 1.778e-10          # m/h 
        genuchten_n_exponent: 1.24
        genuchten_p_head_scale: 5e-3
        
        # effective Dirichlet BC
      - region: .bc_bottom
        bc_type: dirichlet
        bc_pressure: 0


    nonlinear_solver:
      tolerance: 1e-7
      max_it: 20 # should stop after 5 iterations due to stagnation
      converge_on_stagnation: false
      linear_solver: !Petsc 
        a_tol: 1e-11
    n_schurs: 2
    output:
      fields:
        - pressure_p0        
        - velocity_p0
      observe_fields: [ pressure_p0, velocity_p0 ]  
    balance:
      cumulative: true
    
    output_stream: 
      file: ./flow.pvd
      format: !vtk
        variant: ascii
      times:
        - step: 100
      observe_points:
        - [ 0, 0, -0.25 ]
        - [ 0, 0, -0.2 ]
        - [ 0, 0, -0.15 ]
        - [ 0, 0, -0.1 ]
        - [ 0, 0, -0.05 ]
        - [ 0, 0, 0.0 ]
        